source: llx-netinstall/trunk/fuentes/debian/llx-netinstall.prerm @ 2849

Last change on this file since 2849 was 239, checked in by hectorgh, 4 years ago

wip

File size: 1.1 KB
Line 
1#!/bin/sh
2# prerm script for llx-netinstall
3#
4# see: dh_installdeb(1)
5
6set -e
7
8# summary of how this script can be called:
9#        * <prerm> `remove'
10#        * <old-prerm> `upgrade' <new-version>
11#        * <new-prerm> `failed-upgrade' <old-version>
12#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
13#        * <deconfigured's-prerm> `deconfigure' `in-favour'
14#          <package-being-installed> <version> `removing'
15#          <conflicting-package> <version>
16# for details, see http://www.debian.org/doc/debian-policy/ or
17# the debian-policy package
18
19
20case "$1" in
21    remove|upgrade|deconfigure)
22            if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
23                    . /usr/share/apache2/apache2-maintscript-helper
24                    apache2_invoke dissite preseed
25            fi
26            if [ -L  /var/www/preseed ]; then
27                    rm /var/www/preseed
28            fi
29            invoke-rc.d apache2 reload
30    ;;
31
32    failed-upgrade)
33    ;;
34
35    *)
36        echo "prerm called with unknown argument \`$1'" >&2
37        exit 1
38    ;;
39esac
40
41# dh_installdeb will replace this with shell code automatically
42# generated by other debhelper scripts.
43
44#DEBHELPER#
45
46exit 0
Note: See TracBrowser for help on using the repository browser.